Browse Source

Updated from OpenStack Ansible Tests

Change-Id: Id17a659fa2a97ea54ff6a6f05dd4f2e388cd779c
changes/39/671839/8
OpenStack Proposal Bot 2 weeks ago
parent
commit
ff61269489
3 changed files with 23 additions and 28 deletions
  1. +11
    -17
      .gitignore
  2. +2
    -7
      Vagrantfile
  3. +10
    -4
      doc/requirements.txt

+ 11
- 17
.gitignore View File

@@ -1,3 +1,14 @@
# Add patterns in here to exclude files created by tools integrated with this
# repository, such as test frameworks from the project's recommended workflow,
# rendered documentation and package builds.
#
# Don't add patterns to exclude files created by preferred personal tools
# (editors, IDEs, your operating system itself even). These should instead be
# maintained outside the repository, for example in a ~/.gitignore file added
# with:
#
# git config --global core.excludesfile '~/.gitignore'

# Compiled source #
###################
*.com
@@ -33,25 +44,11 @@ logs/*

# OS generated files #
######################
.DS_Store
.DS_Store?
._*
.Spotlight-V100
.Trashes
.idea
.tox
*.sublime*
*.egg-info
Icon?
ehthumbs.db
Thumbs.db
.eggs

# User driven backup files #
############################
*.bak
*.swp

# Generated by pbr while building docs
######################################
AUTHORS
@@ -70,6 +67,3 @@ tests/*.retry
# Git clones
openstack-ansible-ops
previous

# Editor files
.vscode

+ 2
- 7
Vagrantfile View File

@@ -51,13 +51,8 @@ Vagrant.configure(2) do |config|
leap150.vm.box = "opensuse/openSUSE-15.0-x86_64"
end

config.vm.define "opensuse151" do |leap150|
leap150.vm.box = "opensuse/openSUSE-15.1-x86_64"
end

config.vm.define "ubuntu1604" do |xenial|
xenial.disksize.size = "40GB"
xenial.vm.box = "ubuntu/xenial64"
config.vm.define "opensuse151" do |leap151|
leap151.vm.box = "opensuse/openSUSE-15.1-x86_64"
end

config.vm.define "ubuntu1804" do |bionic|

+ 10
- 4
doc/requirements.txt View File

@@ -2,10 +2,16 @@
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# this is required for the docs build jobs
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx>=1.8.0,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
# WARNING:
# This file is maintained in the openstack-ansible-tests repository.
# https://opendev.org/openstack/openstack-ansible-tests/src/branch/master/sync/doc/requirements.txt
# If you need to modify this file, update the one in the
# openstack-ansible-tests repository. Once it merges there, the changes will
# automatically be proposed to all the repositories which use it.

sphinx>=1.8.0,<2.0.0;python_version=='2.7' # BSD
sphinx>=1.8.0,!=2.1.0;python_version>='3.4' # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0

Loading…
Cancel
Save